Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.fee.v07
Class EPPFeeTransfer

    java.lang.Object
      com.verisign.epp.codec.fee.v07.EPPFeeTransform
          com.verisign.epp.codec.fee.v07.EPPFeeTransfer

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPFeeTransfer

extends EPPFeeTransform

Fee Transfer Extension that enables a client to pass the expected fee for the transfer command.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPFeeTransfer`.
`static java.lang.String` | `ELM_NAME` XML root tag for `EPPFeeTransfer`.

Constructor Summary
`EPPFeeTransfer()` Default constructor for `EPPFeeTransfer`.
`EPPFeeTransfer(EPPFeeValue aFee)` Constructor for `EPPFeeTransfer` that takes the required parameter of at least one fee.
`EPPFeeTransfer(java.util.List<EPPFeeValue> aFees, java.lang.String aCurrency)` Constructor for `EPPFeeTransfer` that takes all attributes.

Method Summary
`protected java.lang.String` | `getLocalName()` Returns the local name "transfer" for the transfer extension.

Methods inherited from class com.verisign.epp.codec.fee.v07.EPPFeeTransform
`addFee, clone, decode, encode, equals, getCurrency, getFees, hasCurrency, hasFees, setCurrency, setFees, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  XML local name for `EPPFeeTransfer`.

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  XML root tag for `EPPFeeTransfer`.

  See Also:
    Constant Field Values

Constructor Detail

### EPPFeeTransfer

    public EPPFeeTransfer()

  Default constructor for `EPPFeeTransfer`.

### EPPFeeTransfer

    public EPPFeeTransfer(EPPFeeValue aFee)

  Constructor for `EPPFeeTransfer` that takes the required parameter of at least one fee.

  Parameters:
    `aFee` - A single fee value

### EPPFeeTransfer

    public EPPFeeTransfer(java.util.List<EPPFeeValue> aFees,
                          java.lang.String aCurrency)

  Constructor for `EPPFeeTransfer` that takes all attributes.

  Parameters:
    `aFees` - List of fees
    `aCurrency` - Currency of the fee

Method Detail

### getLocalName

    protected java.lang.String getLocalName()

  Returns the local name "transfer" for the transfer extension.

  Specified by:
    `getLocalName` in class `EPPFeeTransform`
  Returns:
    Local name "transfer" for the transfer extension.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.